System Requirements for Magento Enterprise Edition and Community Edition (Current Shipping Versions)

Magento requires a LAMP or LNMP stack

Operating System

Linux x86-64

Web Server

  • Apache 2.x
  • Nginx 1.7.x

Database

MySQL 5.6 (Oracle or Percona)

PHP

  • PHP 5.4.x
  • PHP 5.5.x

SSL

  • A valid security certificate is required for HTTPS.
  • Self-signed SSL certificates are not supported.

Magento can utilize the following technologies:

  • Redis

    Redis can be used for session or cache storage

  • memcached

    memcached can be used for session or cache storage

  • Apache Solr

    Solr search can be used as a search provider for Magento Enterprise Edition (EE) only

Content Source